CppGui Class Reference

A C++ binding for the C module GWEN_GUI. More...

`#include <cppgui.hpp>`

Inheritance diagram for CppGui:

## Public Member Functions

| CppGui ()
GWEN_GUI * | getCInterface ()
void | setPasswordDb (GWEN_DB_NODE *dbPasswords, int persistent)
void | setPasswordStore (GWEN_PASSWD_STORE *sto)
virtual | ~CppGui ()

## Static Public Member Functions

static CPPGUI_API CppGui * | getCppGui ()

## Protected Member Functions

User Interaction
virtual int | print (const char *docTitle, const char *docType, const char *descr, const char *text, uint32_t guiid)
virtual int | getPassword (uint32_t flags, const char *token, const char *title, const char *text, char *buffer, int minLen, int maxLen, GWEN_GUI_PASSWORD_METHOD methodId, GWEN_DB_NODE *methodParams, uint32_t guiid)
virtual int | setPasswordStatus (const char *token, const char *pin, GWEN_GUI_PASSWORD_STATUS status, uint32_t guiid)
virtual int | checkCert (const GWEN_SSLCERTDESCR *cert, GWEN_SYNCIO *sio, uint32_t guiid)
virtual int | logHook (const char *logDomain, GWEN_LOGGER_LEVEL priority, const char *s)
virtual int | execDialog (GWEN_DIALOG *dlg, uint32_t guiid)
virtual int | openDialog (GWEN_DIALOG *dlg, uint32_t guiid)
virtual int | closeDialog (GWEN_DIALOG *dlg)
virtual int | runDialog (GWEN_DIALOG *dlg, int untilEnd)
virtual int | getFileName (const char *caption, GWEN_GUI_FILENAME_TYPE fnt, uint32_t flags, const char *patterns, GWEN_BUFFER *pathBuffer, uint32_t guiid)
int | checkCertBuiltIn (const GWEN_SSLCERTDESCR *cert, GWEN_SYNCIO *sio, uint32_t guiid)

## Protected Attributes

GWEN_GUI * | _gui

## Friends

class | CppGuiLinker

## Detailed Description

A C++ binding for the C module GWEN_GUI.

This class simply is a C++ binding for the C module GWEN_GUI. It redirects C callbacks used by GWEN_GUI to virtual functions in this class.

Author
  Martin Preussmarti.nosp@m.n@aq.nosp@m.uaman.nosp@m.iac..nosp@m.de

Definition at line 39 of file cppgui.hpp.

## Constructor & Destructor Documentation

## CppGui()

CppGui | ( |  | ) |

Referenced by getCppGui().

## ~CppGui()

virtual ~CppGui | ( |  | ) |

virtual

## Member Function Documentation

## checkCert()

virtual int checkCert | ( | const GWEN_SSLCERTDESCR * | cert,
|  | GWEN_SYNCIO * | sio,
|  | uint32_t | guiid )

protected virtual

## checkCertBuiltIn()

int checkCertBuiltIn | ( | const GWEN_SSLCERTDESCR * | cert,
|  | GWEN_SYNCIO * | sio,
|  | uint32_t | guiid )

protected

## closeDialog()

virtual int closeDialog | ( | GWEN_DIALOG * | dlg | ) |

protected virtual

Reimplemented in FOX16_Gui, QT4_Gui, and QT5_Gui.

## execDialog()

virtual int execDialog | ( | GWEN_DIALOG * | dlg,
|  | uint32_t | guiid )

protected virtual

Reimplemented in FOX16_Gui, QT4_Gui, and QT5_Gui.

## getCInterface()

GWEN_GUI * getCInterface | ( |  | ) |

## getCppGui()

CPPGUI_API CppGui * getCppGui | ( |  | ) |

static

References CppGui().

## getFileName()

virtual int getFileName | ( | const char * | caption,
|  | GWEN_GUI_FILENAME_TYPE | fnt,
|  | uint32_t | flags,
|  | const char * | patterns,
|  | GWEN_BUFFER * | pathBuffer,
|  | uint32_t | guiid )

protected virtual

Reimplemented in FOX16_Gui, QT4_Gui, and QT5_Gui.

## getPassword()

virtual int getPassword | ( | uint32_t | flags,
|  | const char * | token,
|  | const char * | title,
|  | const char * | text,
|  | char * | buffer,
|  | int | minLen,
|  | int | maxLen,
|  | GWEN_GUI_PASSWORD_METHOD | methodId,
|  | GWEN_DB_NODE * | methodParams,
|  | uint32_t | guiid )

protected virtual

## logHook()

virtual int logHook | ( | const char * | logDomain,
|  | GWEN_LOGGER_LEVEL | priority,
|  | const char * | s )

protected virtual

## openDialog()

virtual int openDialog | ( | GWEN_DIALOG * | dlg,
|  | uint32_t | guiid )

protected virtual

Reimplemented in FOX16_Gui, QT4_Gui, and QT5_Gui.

## print()

virtual int print | ( | const char * | docTitle,
|  | const char * | docType,
|  | const char * | descr,
|  | const char * | text,
|  | uint32_t | guiid )

protected virtual

See CppGui_Print

Reimplemented in FOX16_Gui.

## runDialog()

virtual int runDialog | ( | GWEN_DIALOG * | dlg,
|  | int | untilEnd )

protected virtual

Reimplemented in FOX16_Gui, QT4_Gui, and QT5_Gui.

## setPasswordDb()

void setPasswordDb | ( | GWEN_DB_NODE * | dbPasswords,
|  | int | persistent )

## setPasswordStatus()

virtual int setPasswordStatus | ( | const char * | token,
|  | const char * | pin,
|  | GWEN_GUI_PASSWORD_STATUS | status,
|  | uint32_t | guiid )

protected virtual

## setPasswordStore()

void setPasswordStore | ( | GWEN_PASSWD_STORE * | sto | ) |

## Friends And Related Symbol Documentation

## CppGuiLinker

friend class CppGuiLinker

friend

Definition at line 40 of file cppgui.hpp.

References CppGuiLinker.

Referenced by CppGuiLinker.

## Field Documentation

## _gui

GWEN_GUI* _gui

protected

Definition at line 67 of file cppgui.hpp.

The documentation for this class was generated from the following file:

- cppgui.hpp